aboutsummaryrefslogtreecommitdiffstats
path: root/core/linux-grsec/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-04-08 14:37:48 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-04-08 14:37:48 +0000
commitd46a564022e264fd19279a6590dc7990f99771d5 (patch)
tree822cb3b50a1ede74961c33bea42735db848e7868 /core/linux-grsec/APKBUILD
parentb0c5366a09c02b93f89217f8e7b4975938f8daea (diff)
downloadaports-d46a564022e264fd19279a6590dc7990f99771d5.tar.gz
aports-d46a564022e264fd19279a6590dc7990f99771d5.tar.bz2
aports-d46a564022e264fd19279a6590dc7990f99771d5.tar.xz
core/linux-grsec: disable rpcbind v4, enable uvesa fb driver
rpcbind 4 does not work with portmap so this is needed to get nfsd work
Diffstat (limited to 'core/linux-grsec/APKBUILD')
-rw-r--r--core/linux-grsec/APKBUILD9
1 files changed, 5 insertions, 4 deletions
diff --git a/core/linux-grsec/APKBUILD b/core/linux-grsec/APKBUILD
index 169490c406..1c886e60e1 100644
--- a/core/linux-grsec/APKBUILD
+++ b/core/linux-grsec/APKBUILD
@@ -2,7 +2,7 @@
_flavor=grsec
pkgname=linux-$_flavor
pkgver=2.6.28.9
-pkgrel=2
+pkgrel=3
pkgdesc="Linux kernel with grsecurity"
url=http://grsecurity.net
arch=i486
@@ -15,8 +15,9 @@ build() {
mkdir -p "$srcdir/$pkgname"
cd "$srcdir/$pkgname"
cp ../kernelconfig .config
- make -C /usr/src/linux-$pkgver-grsec "O=$PWD" silentoldconfig
- make || return 1
+ make -C /usr/src/linux-$pkgver-grsec "O=$PWD" HOSTCC="$CC" \
+ silentoldconfig
+ make CC="$CC" || return 1
mkdir -p $pkgdir/boot $pkgdir/lib/modules
make modules_install install \
@@ -34,4 +35,4 @@ dev() {
mv "$pkgdir"/boot/System.map "$subpkgdir"/boot/System.map-$_flavor
}
-md5sums="080e5d30c79999d696588f824073803d kernelconfig"
+md5sums="126695c2a7fd5e91ca7e7fe1d7acad59 kernelconfig"